gio-0.13.10.0: Binding to GIO

Maintainer | gtk2hs-devel@lists.sourceforge.net
Stability | alpha
Portability | portable (depends on GHC)
Safe Haskell | Safe-Inferred
Language | Haskell98

System.GIO.Icons.EmblemedIcon

Contents

- Details
- Types
- Methods

Description

Synopsis

- newtype EmblemedIcon = EmblemedIcon (ForeignPtr EmblemedIcon)
- class GObjectClass o => EmblemedIconClass o
- emblemedIconNew :: (IconClass icon, EmblemClass emblem) => icon -> emblem -> IO EmblemedIcon
- emblemedIconGetIcon :: EmblemedIconClass emblemed => emblemed -> IO Icon
- emblemedIconGetEmblems :: EmblemedIconClass emblemed => emblemed -> IO [Emblem]
- emblemedIconAddEmblem :: EmblemedIconClass emblemed => emblemed -> Emblem -> IO ()

# Details

`EmblemedIcon` is an implementation of `Icon` that supports adding an emblem to an icon. Adding multiple emblems to an icon is ensured via `emblemedIconAddEmblem`.

Note that `Emblem`edIcon allows no control over the position of the emblems. See also `Emblem` for more information.

# Types

newtype EmblemedIcon Source #

Constructors

EmblemedIcon (ForeignPtr EmblemedIcon) |

#### Instances

Instances details

Eq EmblemedIcon Source # |
Instance details Defined in System.GIO.Types Methods (==) :: EmblemedIcon -> EmblemedIcon -> Bool Source # (/=) :: EmblemedIcon -> EmblemedIcon -> Bool Source #
Ord EmblemedIcon Source # |

Instance details

Defined in System.GIO.Types

Methods

compare :: EmblemedIcon -> EmblemedIcon -> Ordering Source #

(<) :: EmblemedIcon -> EmblemedIcon -> Bool Source #

(<=) :: EmblemedIcon -> EmblemedIcon -> Bool Source #

(>) :: EmblemedIcon -> EmblemedIcon -> Bool Source #

(>=) :: EmblemedIcon -> EmblemedIcon -> Bool Source #

max :: EmblemedIcon -> EmblemedIcon -> EmblemedIcon Source #

min :: EmblemedIcon -> EmblemedIcon -> EmblemedIcon Source #

EmblemedIconClass EmblemedIcon Source # |
Instance details Defined in System.GIO.Types
GObjectClass EmblemedIcon Source # |
Instance details Defined in System.GIO.Types Methods toGObject :: EmblemedIcon -> GObject Source # unsafeCastGObject :: GObject -> EmblemedIcon Source #

class GObjectClass o => EmblemedIconClass o Source #

#### Instances

Instances details

EmblemedIconClass EmblemedIcon Source # |
Instance details Defined in System.GIO.Types

# Methods

emblemedIconNew :: (IconClass icon, EmblemClass emblem) => icon -> emblem -> IO EmblemedIcon Source #

Creates a new emblemed icon for icon with the emblem emblem.

emblemedIconGetIcon Source #

Arguments

:: EmblemedIconClass emblemed |
=> emblemed |
-> IO Icon | returns a `Icon` that is owned by emblemed

Gets the main icon for emblemed.

emblemedIconGetEmblems Source #

Arguments

:: EmblemedIconClass emblemed |
=> emblemed |
-> IO [Emblem] | returns a list of `Emblem` s that is owned by emblemed

Gets the list of emblems for the icon.

emblemedIconAddEmblem :: EmblemedIconClass emblemed => emblemed -> Emblem -> IO () Source #

Adds emblem to the `Emblem`.